﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image black = "Black_Screen.jpg"
    image house = "house.jpg"
    image hilltop = "hilltop.jpg"
    image town = "town.jpg"
    image room = "room.jpg"
    image toy = "toy_store.JPG"

    # Declare characters used by this game.
    $ f = Character('Fynn', color="#6666ff")
    $ m = Character('Me', color="#e82727")
    $ c = Character('Cashier', color="#24e03a")
    $ s = Character('Soldiers', color="#7ba0b5")
    $ ss = Character('Soviet Soldier', color ="#7ba0b5")
    $ aas = Character('American Soldier', color ="#7ba0b5")
    $ a = Character('American Commander', color="#fa001d")
    $ so = Character('Soviet Commander', color="#edc421")
    $ b = Character('American and Soviet Commander', color="#9900FF") 

# The game starts here.
label start:
    
    scene black
    m "...it's morning."
    
    scene room
    with fade
    
    play music "montage-o-matic.mp3" fadein 1.0
    
    "I get up. Bright sunshine greeted me. While I start dressing up, I notice a note on the table."
    "'Good morning Lena! Your mama and I are out  shopping. We will also be going to the doctor, so it will be a while before we get back. Love, Papa."
    "Well, I guess that I'll have to find something to do today. Oh...wait! Another note!"
    "P.S., here is some money for today's expedition. Haha!"
    "Hmm...I wonder how much they left me...20 DMs! Wow! This is great!"
    "I'll go meet my friend Fynn and decide how to spend the day."
    
    scene house
    with fade
    
    "As I leave the house, I notice Fynn walking up the road."
    "I live a little far from town, so Fynn usually comes to see me."
    m "Hey! Fynn! I was just coming to meet you!"
    f "Oh, Lena! How're you doing?" 
    m "I'm great, as usual. Hey, guess what!"
    f "Hm? What is it?"
    m "My parents left me a bunch of money! 20 DMs to be exact!"
    f "That's...that's a ton of money! What're you gonna do with all of it?"
    m "That's the problem, I don't know yet."
    f "Hm...why don't we go to town and look around the shops?"
    m "Yeah! Sounds like a great idea. Let's go!"
    
    scene town
    with fade
    
    "We start walking around the town square, checking every shop."
    m "Hey, I'll buy us some ice cream!"
    f "Um, I can pay!...I can't ask you to pay for me!"
    m "No way! I'll cover it for you this time."
    f "But..."
    m "Not listening! I'll go buy them!"
    "I go to the shop and buy two chocolate ice cream cones."
    m "Here you go! Enjoy it!"
    f "...thanks. I still don't feel good about accepting it without anything in return."
    m "Don't worry about it. Just eat it!" 
    f "Fine..."
    m "Hey, there's a toy store!"
    f "Uh...you wanna go?"
    m "Of course I wanna go! It's a toy store!"
    f "Okay then."
    
    scene toy
    with fade
    
    "As we enter the toy store, we see that there's not much of a selection. Just a few meager toys and a bunch of balloons."
    m "Wow. This,uh...this is nice."
    f "It's very quaint, to say the least."
    m "Well, we should buy something!"
    "I check out a few of the toys. They were pretty boring, and most were broken."
    f "Hey, check out these balloons!"
    m "...balloons? Really?"
    f "Yeah, balloons are great! I love watching them fly away..."
    m "Well...what kind should we get?"
    f "What's your favorite color?"
    m "Red."
    f "Then we'll get red balloons!"
    "He picks up a bag of one hundred red balloons and takes them to the cashier."
    c "Ah, balloons? That'll be 5 DMs please."
    f "I'll pay this time. To return the favor for the ice cream."
    m "Alright, if you're sure about it."
    "We take the balloons and leave the store."
    m "So, where are we gonna go to release all these balloons?"
    f "How about that hill outside of town? It's the highest point nearby."
    m "Alright...wait! Is that the time? I have to go!"
    f "Oh...Well, let's do it tomorrow morning! At around 6?"
    m "But...That's super early!"
    f "Yeah, so we'll be able to watch the balloons rise along with the sun!"
    m "Okay!"
    "We say our goodbyes and go our separate ways. I can't wait until tomorrow."
    
    scene black
    with fade
    
    "<The Next Day>"
    
    scene house
    with fade
    
    "I leave the house, and, again, Fynn walks up to me."
    f "Ready to go?"
    m "Yeah! Let's hurry!"
    "We started walking out of town towards the hill."
    
    scene hilltop
    with fade
    
    "Once we got there, we started blowing up the balloons. Two by two, the balloons began floating up. It was a clear day, with just a slight summer breeze."
    "It was a beautiful sight."
    "After that, we started walking back to town. After a few hours, we decided to separate for the day."
    
    scene house
    with fade
    
    "As I got home, I found that there was one balloon left in my pocket. I decided to blow it up with Fynn the next day."
    
    scene black
    
    "Earlier that day..."
    
    play music "incinerator_hill.mp3"
    
    ss "Commander!"
    so "What is it, soldier?"
    ss "We've detected an unknown mass of airborne objects! They're in travel right now!"
    so "What? It must be those damned Americans...ready our fleets!"
    ss "Yes, sir!"
    
    "Elsewhere..."
    
    aas"Sir!"
    a "What is it, soldier?"
    aas "Our insider at the Soviet Union tells us that they're readying their fleets for warfare!"
    a "What?! Dammit! We've gotta be quick...send the word! I want those fleets ready as soon as possible!"
    aas "Yes, sir!"
    
    "Later..."
    
    b "Alright men. This is it. We've been waiting for this to happen."
    a "We knew those damn Soviets would attack."
    so "We knew those Americans would attack."
    b "So get ready. You may or may not be coming back. This is war. Our country is on the line!"
    s "Yes, sir!"
    
    scene house
    with fade
    
    play music "montage-o-matic.mp3" fadein 1.0
    
    "What time is it? I'm so tired."
    "Looks like my parents aren't home yet...where are they?"
    "I guess I'll just go to town and visit Fynn..."
    "Oh! I shouldn't forget to bring that last balloon..."
    
    stop music
    
    "As I make it to town...I find a terrible sight."
    "Planes everywhere, crashed into the ground. Buildings destroyed, rubble covering the earth. It was terrible."
    "I see Fynn's parents...they're huddled over something...is that a body?...no...NO!"
    "I run to the hill where he and I...where we had been yesterday."
    
    play music "At_Rest.mp3" fadein 1.0
    
    scene hilltop
    with fade
    "I sit on the hill, crying."
    "How could he be gone...how could this have happened?!"
    "I pick out the red balloon from my pocket."
    m "Fynn...why...why did you have to die?"
    "He was gone...all I had left of him was this balloon..."
    "I begin blowing up the balloon, crying all the while."
    "As I watched the balloon fly away, I found that my tears have dried."
    m "I don't know where I'm going to go after this...but I know you'll be with me."
    
    scene black
    with fade
    
    "Credit for Incinerator Hill and Montage-O-Matic goes to Jonathon Roberts. Credit for At Rest goes to Kevin MacLeod."
    
    
    
    
    
    
    
        
   
